openmpi_2_1_6-gnu-hpc-devel-static-2.1.6-3.1.i586.rpm


Advertisement

Description

openmpi_2_1_6-gnu-hpc-devel-static - Static libraries for openMPI HPC version 2.1.6

Property Value
Distribution openSUSE Tumbleweed
Repository openSUSE Oss all
Package filename openmpi_2_1_6-gnu-hpc-devel-static-2.1.6-3.1.i586.rpm
Package name openmpi_2_1_6-gnu-hpc-devel-static
Package version 2.1.6
Package release 3.1
Package architecture i586
Package type rpm
Category Development/Libraries/Parallel
Homepage http://www.open-mpi.org/
License BSD-3-Clause
Maintainer -
Download size 45.61 MB
Installed size 83.07 MB
OpenMPI is an implementation of the Message Passing Interface, a
standardized API typically used for parallel and/or distributed
computing. OpenMPI is the merged result of four prior implementations
where the team found for them to excel in one or more areas,
such as latency or throughput.
This RPM contains the static library files, which are packaged separately from
the dynamic library and headers.

Alternatives

Package Version Architecture Repository
openmpi_2_1_6-gnu-hpc-devel-static-2.1.6-3.1.x86_64.rpm 2.1.6 x86_64 openSUSE Oss
openmpi_2_1_6-gnu-hpc-devel-static - - -

Requires

Name Value
openmpi_2_1_6-gnu-hpc-devel = 2.1.6

Provides

Name Value
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_mpifh.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempi_ignore_tkr.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempif08.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libompitrace.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-pal.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-rte.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/liboshmem.la) -
libtool(/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/openmpi/libompi_dbg_msgq.la) -
openmpi_2_1_6-gnu-hpc-devel-static = 2.1.6-3.1
openmpi_2_1_6-gnu-hpc-devel-static(x86-32) = 2.1.6-3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package openmpi_2_1_6-gnu-hpc-devel-static-2.1.6-3.1.i586.rpm
Source Package openmpi_2_1_6-gnu-hpc-2.1.6-3.1.src.rpm

Install Howto

Install openmpi_2_1_6-gnu-hpc-devel-static rpm package:

# zypper install openmpi_2_1_6-gnu-hpc-devel-static

Files

Path
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_mpifh.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_mpifh.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempi_ignore_tkr.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempi_ignore_tkr.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempif08.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libmpi_usempif08.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libompitrace.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libompitrace.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-pal.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-pal.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-rte.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/libopen-rte.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/liboshmem.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/liboshmem.la
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/openmpi/libompi_dbg_msgq.a
/usr/lib/hpc/gnu8/mpi/openmpi/2.1.6/lib/openmpi/libompi_dbg_msgq.la

Changelog

2019-04-23 - Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Fix bad INCLUDE path in module (bsc#1132949)
2019-04-01 - Nicolas Morey-Chaisemartin <nmoreychaisemartin@suse.com>
- Add add-gen-p5-chip-pci-id-to-ini-file.patch:
- Adds support for Broadcom 57500 adapters (bsc#1125651)
2019-02-14 - nmoreychaisemartin@suse.com
- Update to openmpi 2.1.6 (bsc#1094689)
- Many bug fixes. See NEWS for a complete list
2018-11-27 - Bernhard Wiedemann <bwiedemann@suse.com>
- Add reproducible.patch to make package build reproducible
(boo#1047218, boo#1041090, boo#1084909)
2018-11-18 - eich@suse.com
- Add macro _hpc_openmpi_modules for modules support (bsc#1116458).
2018-10-15 - nmoreychaisemartin@suse.com
- Update to openmpi 2.1.5 (fate#326157)
- Many bug fixes. See NEWS for a complete list
- Drop openmpi2-add-HCAs-to-mca-ini.patch as it was
merged upstream.
2018-09-10 - nmoreychaisemartin@suse.com
- Remove bashism in preun scriptlet
2018-09-05 - nmoreychaisemartin@suse.com
- Fix handling of mpi-selector during updates (bsc#1098653)
2018-08-19 - eich@suse.com
- macros.hpc-openmpi2:
replace %%compiler_family by %%hpc_compiler_family
2018-06-07 - jjolly@suse.com
- Updated openmpi2-add-HCAs-to-mca-ini.patch
* Adds Broadcom BCM57414 NetXtreme-E RDMA Ethernet Controller (bsc#1094689)

See Also

Package Description
openmpi_2_1_6-gnu-hpc-docs-2.1.6-3.1.i586.rpm Documentation for Open MPI/SHMEM HPC version 2.1.6
openmpi_2_1_6-gnu-hpc-docs-2.1.6-3.1.x86_64.rpm Documentation for Open MPI/SHMEM HPC version 2.1.6
openmpi_2_1_6-gnu-hpc-macros-devel-2.1.6-3.1.i586.rpm HPC Macros for openMPI version 2.1.6
openmpi_2_1_6-gnu-hpc-macros-devel-2.1.6-3.1.x86_64.rpm HPC Macros for openMPI version 2.1.6
openmpi_2_1_6-gnu-hpc-testsuite-2.1.6-3.1.noarch.rpm An implementation of MPI/SHMEM
openmpi_3_1_4-gnu-hpc-3.1.4-2.1.i586.rpm An implementation of MPI/SHMEM
openmpi_3_1_4-gnu-hpc-3.1.4-2.1.x86_64.rpm An implementation of MPI/SHMEM
openmpi_3_1_4-gnu-hpc-devel-3.1.4-2.1.i586.rpm SDK for openMPI HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-devel-3.1.4-2.1.x86_64.rpm SDK for openMPI HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-devel-static-3.1.4-2.1.i586.rpm Static libraries for openMPI HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-devel-static-3.1.4-2.1.x86_64.rpm Static libraries for openMPI HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-docs-3.1.4-2.1.i586.rpm Documentation for Open MPI/SHMEM HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-docs-3.1.4-2.1.x86_64.rpm Documentation for Open MPI/SHMEM HPC version 3.1.4
openmpi_3_1_4-gnu-hpc-macros-devel-3.1.4-2.1.i586.rpm HPC Macros for openMPI version 3.1.4
openmpi_3_1_4-gnu-hpc-macros-devel-3.1.4-2.1.x86_64.rpm HPC Macros for openMPI version 3.1.4
Advertisement
Advertisement